import { PROJECT_ID } from '@/constants';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { getProjectById } from '@/redux/project/project.thunks';
import { mapLoadingFirstStageInitializedSelector } from '@/redux/root/mapStages.selectors';
import { useCallback, useEffect } from 'react';
import { useSelector } from 'react-redux';

export const useFirstStage = (): void => {
  const dispatch = useAppDispatch();
  const isInitialized = useSelector(mapLoadingFirstStageInitializedSelector);

  const initProjectData = useCallback((): void => {
    dispatch(getProjectById(PROJECT_ID));
  }, [dispatch]);

  useEffect(() => {
    if (isInitialized) {
      return;
    }

    initProjectData();
  }, [initProjectData, isInitialized]);
};
